touches: detect if a geometry self-touches or if two geometries touch

## Functions

template<typename Geometry >
bool | boost::geometry::touches (Geometry const &geometry)
| Checks if a geometry \1.
template<typename Geometry1 , typename Geometry2 >
bool | boost::geometry::touches (Geometry1 const &geometry1, Geometry2 const &geometry2)
| Checks if two geometries \1.

## Function Documentation

template<typename Geometry >

bool boost::geometry::touches | ( | Geometry const & | geometry | ) |

Checks if a geometry \1.

Note:
  This function can be called for one geometry (self-tangency) and also for two geometries (touch)

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Returns:
  Returns true if the geometry \1

template<typename Geometry1 , typename Geometry2 >

bool boost::geometry::touches | ( | Geometry1 const & | geometry1,
|  | Geometry2 const & | geometry2
| ) |  |

Checks if two geometries \1.

Template Parameters:

  Geometry1 | Any type fulfilling a Geometry Concept
  Geometry2 | Any type fulfilling a Geometry Concept

Parameters:

  geometry1 | A model of the specified concept
  geometry2 | A model of the specified concept

Returns:
  Returns true if two geometries \1

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK